package com.xmomen.module.base.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

// 定义一个名为CdActivityAddressExample的类，继承自BaseMybatisExample
public class CdActivityAddressExample extends BaseMybatisExample {
    // 定义一个orderByClause变量，用于存储排序字段
    protected String orderByClause;

    // 定义一个distinct变量，用于存储是否去重
    protected boolean distinct;

    // 定义一个oredCriteria变量，用于存储查询条件
    protected List<Criteria> oredCriteria;

    // 构造函数，初始化oredCriteria
    public CdActivityAddressExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置orderByClause的值
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取orderByClause的值
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置distinct的值
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取distinct的值
    public boolean isDistinct() {
        return distinct;
    }

    // 获取oredCriteria的值
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加一个查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建一个新的查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建一个新的查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建一个新的查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空oredCriteria、orderByClause和distinct的值
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 定义一个内部类GeneratedCriteria，用于存储查询条件
    protected abstract static class GeneratedCriteria {
        // 定义一个criteria变量，用于存储查询条件
        protected List<Criterion> criteria;

        // 构造函数，初始化criteria
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断是否有查询条件
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加一个查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 添加一个查询条件
        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        // 添加一个查询条件
        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        // 添加一个查询条件
        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        // 判断ID是否为空
        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        // 判断ID是否不为空
        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        // 判断ID是否等于某个值
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否不等于某个值
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于某个值
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于等于某个值
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于某个值
        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于等于某个值
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断COUPON_NUMBER是否为空
        public Criteria andCouponNumberIsNull() {
            addCriterion("COUPON_NUMBER is null");
            return (Criteria) this;
        }

        // 判断COUPON_NUMBER是否不为空
        public Criteria andCouponNumberIsNotNull() {
            addCriterion("COUPON_NUMBER is not null");
            return (Criteria) this;
        }

        // 判断COUPON_NUMBER是否等于某个值
        public Criteria andCouponNumberEqualTo(String value) {
            addCriterion("COUPON_NUMBER =", value, "couponNumber");
            return (Criteria) this;
        }

        // 判断COUPON_NUMBER是否不等于某个值
        public Criteria andCouponNumberNotEqualTo(String value) {
            addCriterion("COUPON_NUMBER <>", value, "couponNumber");
            return (Criteria) this;
        }

        // 判断COUPON_NUMBER是否大于某个值
        public Criteria andCouponNumberGreaterThan(String value) {
            addCriterion("COUPON_NUMBER >", value, "couponNumber");
            return (Criteria) this;
        }

        // 判断COUPON_NUMBER是否大于等于某个值
        public Criteria andCouponNumberGreaterThanOrEqualTo(String value) {
            addCriterion("COUPON_NUMBER >=", value, "couponNumber");
            return (Criteria) this;
        }

        // 判断COUPON_NUMBER是否小于某个值
        public Criteria andCouponNumberLessThan(String value) {
            addCriterion("COUPON_NUMBER <", value, "couponNumber");
            return (Criteria) this;
        }

        // 判断COUPON_NUMBER是否小于等于某个值
        public Criteria andCouponNumberLessThanOrEqualTo(String value) {
            addCriterion("COUPON_NUMBER <=", value, "couponNumber");
            return (Criteria) this;
        }

        // 判断COUPON_NUMBER是否包含某个值
        public Criteria andCouponNumberLike(String value) {
            addCriterion("COUPON_NUMBER like", value, "couponNumber");
            return (Criteria) this;
        }

        // 判断COUPON_NUMBER是否不包含某个值
        public Criteria andCouponNumberNotLike(String value) {
            addCriterion("COUPON_NUMBER not like", value, "couponNumber");
            return (Criteria) this;
        }

        // 判断COUPON_NUMBER是否在某个范围内
        public Criteria andCouponNumberIn(List<String> values) {
            addCriterion("COUPON_NUMBER in", values, "couponNumber");
            return (Criteria) this;
        }

        // 判断COUPON_NUMBER是否不在某个范围内
        public Criteria andCouponNumberNotIn(List<String> values) {
            addCriterion("COUPON_NUMBER not in", values, "couponNumber");
            return (Criteria) this;
        }

        // 判断COUPON_NUMBER是否在某个范围内
        public Criteria andCouponNumberBetween(String value1, String value2) {
            addCriterion("COUPON_NUMBER between", value1, value2, "couponNumber");
            return (Criteria) this;
        }

        // 判断COUPON_NUMBER是否不在某个范围内
        public Criteria andCouponNumberNotBetween(String value1, String value2) {
            addCriterion("COUPON_NUMBER not between", value1, value2, "couponNumber");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_NAME是否为空
        public Criteria andConsignmentNameIsNull() {
            addCriterion("CONSIGNMENT_NAME is null");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_NAME是否不为空
        public Criteria andConsignmentNameIsNotNull() {
            addCriterion("CONSIGNMENT_NAME is not null");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_NAME是否等于某个值
        public Criteria andConsignmentNameEqualTo(String value) {
            addCriterion("CONSIGNMENT_NAME =", value, "consignmentName");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_NAME是否不等于某个值
        public Criteria andConsignmentNameNotEqualTo(String value) {
            addCriterion("CONSIGNMENT_NAME <>", value, "consignmentName");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_NAME是否大于某个值
        public Criteria andConsignmentNameGreaterThan(String value) {
            addCriterion("CONSIGNMENT_NAME >", value, "consignmentName");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_NAME是否大于等于某个值
        public Criteria andConsignmentNameGreaterThanOrEqualTo(String value) {
            addCriterion("CONSIGNMENT_NAME >=", value, "consignmentName");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_NAME是否小于某个值
        public Criteria andConsignmentNameLessThan(String value) {
            addCriterion("CONSIGNMENT_NAME <", value, "consignmentName");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_NAME是否小于等于某个值
        public Criteria andConsignmentNameLessThanOrEqualTo(String value) {
            addCriterion("CONSIGNMENT_NAME <=", value, "consignmentName");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_NAME是否包含某个值
        public Criteria andConsignmentNameLike(String value) {
            addCriterion("CONSIGNMENT_NAME like", value, "consignmentName");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_NAME是否不包含某个值
        public Criteria andConsignmentNameNotLike(String value) {
            addCriterion("CONSIGNMENT_NAME not like", value, "consignmentName");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_NAME是否在某个范围内
        public Criteria andConsignmentNameIn(List<String> values) {
            addCriterion("CONSIGNMENT_NAME in", values, "consignmentName");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_NAME是否不在某个范围内
        public Criteria andConsignmentNameNotIn(List<String> values) {
            addCriterion("CONSIGNMENT_NAME not in", values, "consignmentName");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_NAME是否在某个范围内
        public Criteria andConsignmentNameBetween(String value1, String value2) {
            addCriterion("CONSIGNMENT_NAME between", value1, value2, "consignmentName");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_NAME是否不在某个范围内
        public Criteria andConsignmentNameNotBetween(String value1, String value2) {
            addCriterion("CONSIGNMENT_NAME not between", value1, value2, "consignmentName");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_PHONE是否为空
        public Criteria andConsignmentPhoneIsNull() {
            addCriterion("CONSIGNMENT_PHONE is null");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_PHONE是否不为空
        public Criteria andConsignmentPhoneIsNotNull() {
            addCriterion("CONSIGNMENT_PHONE is not null");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_PHONE是否等于某个值
        public Criteria andConsignmentPhoneEqualTo(String value) {
            addCriterion("CONSIGNMENT_PHONE =", value, "consignmentPhone");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_PHONE是否不等于某个值
        public Criteria andConsignmentPhoneNotEqualTo(String value) {
            addCriterion("CONSIGNMENT_PHONE <>", value, "consignmentPhone");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_PHONE是否大于某个值
        public Criteria andConsignmentPhoneGreaterThan(String value) {
            addCriterion("CONSIGNMENT_PHONE >", value, "consignmentPhone");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_PHONE是否大于等于某个值
        public Criteria andConsignmentPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("CONSIGNMENT_PHONE >=", value, "consignmentPhone");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_PHONE是否小于某个值
        public Criteria andConsignmentPhoneLessThan(String value) {
            addCriterion("CONSIGNMENT_PHONE <", value, "consignmentPhone");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_PHONE是否小于等于某个值
        public Criteria andConsignmentPhoneLessThanOrEqualTo(String value) {
            addCriterion("CONSIGNMENT_PHONE <=", value, "consignmentPhone");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_PHONE是否包含某个值
        public Criteria andConsignmentPhoneLike(String value) {
            addCriterion("CONSIGNMENT_PHONE like", value, "consignmentPhone");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_PHONE是否不包含某个值
        public Criteria andConsignmentPhoneNotLike(String value) {
            addCriterion("CONSIGNMENT_PHONE not like", value, "consignmentPhone");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_PHONE是否在某个范围内
        public Criteria andConsignmentPhoneIn(List<String> values) {
            addCriterion("CONSIGNMENT_PHONE in", values, "consignmentPhone");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_PHONE是否不在某个范围内
        public Criteria andConsignmentPhoneNotIn(List<String> values) {
            addCriterion("CONSIGNMENT_PHONE not in", values, "consignmentPhone");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_PHONE是否在某个范围内
        public Criteria andConsignmentPhoneBetween(String value1, String value2) {
            addCriterion("CONSIGNMENT_PHONE between", value1, value2, "consignmentPhone");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_PHONE是否不在某个范围内
        public Criteria andConsignmentPhoneNotBetween(String value1, String value2) {
            addCriterion("CONSIGNMENT_PHONE not between", value1, value2, "consignmentPhone");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_ADDRESS是否为空
        public Criteria andConsignmentAddressIsNull() {
            addCriterion("CONSIGNMENT_ADDRESS is null");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_ADDRESS是否不为空
        public Criteria andConsignmentAddressIsNotNull() {
            addCriterion("CONSIGNMENT_ADDRESS is not null");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_ADDRESS是否等于某个值
        public Criteria andConsignmentAddressEqualTo(String value) {
            addCriterion("CONSIGNMENT_ADDRESS =", value, "consignmentAddress");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_ADDRESS是否不等于某个值
        public Criteria andConsignmentAddressNotEqualTo(String value) {
            addCriterion("CONSIGNMENT_ADDRESS <>", value, "consignmentAddress");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_ADDRESS是否大于某个值
        public Criteria andConsignmentAddressGreaterThan(String value) {
            addCriterion("CONSIGNMENT_ADDRESS >", value, "consignmentAddress");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_ADDRESS是否大于等于某个值
        public Criteria andConsignmentAddressGreaterThanOrEqualTo(String value) {
            addCriterion("CONSIGNMENT_ADDRESS >=", value, "consignmentAddress");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_ADDRESS是否小于某个值
        public Criteria andConsignmentAddressLessThan(String value) {
            addCriterion("CONSIGNMENT_ADDRESS <", value, "consignmentAddress");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_ADDRESS是否小于等于某个值
        public Criteria andConsignmentAddressLessThanOrEqualTo(String value) {
            addCriterion("CONSIGNMENT_ADDRESS <=", value, "consignmentAddress");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_ADDRESS是否包含某个值
        public Criteria andConsignmentAddressLike(String value) {
            addCriterion("CONSIGNMENT_ADDRESS like", value, "consignmentAddress");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_ADDRESS是否不包含某个值
        public Criteria andConsignmentAddressNotLike(String value) {
            addCriterion("CONSIGNMENT_ADDRESS not like", value, "consignmentAddress");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_ADDRESS是否在某个范围内
        public Criteria andConsignmentAddressIn(List<String> values) {
            addCriterion("CONSIGNMENT_ADDRESS in", values, "consignmentAddress");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_ADDRESS是否不在某个范围内
        public Criteria andConsignmentAddressNotIn(List<String> values) {
            addCriterion("CONSIGNMENT_ADDRESS not in", values, "consignmentAddress");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_ADDRESS是否在某个范围内
        public Criteria andConsignmentAddressBetween(String value1, String value2) {
            addCriterion("CONSIGNMENT_ADDRESS between", value1, value2, "consignmentAddress");
            return (Criteria) this;
        }

        // 判断CONSIGNMENT_ADDRESS是否不在某个范围内
        public Criteria andConsignmentAddressNotBetween(String value1, String value2) {
            addCriterion("CONSIGNMENT_ADDRESS not between", value1, value2, "consignmentAddress");
            return (Criteria) this;
        }

        // 判断SEND_TIME是否为空
        public Criteria andSendTimeIsNull() {
            addCriterion("SEND_TIME is null");
            return (Criteria) this;
        }

        // 判断SEND_TIME是否不为空
        public Criteria andSendTimeIsNotNull() {
            addCriterion("SEND_TIME is not null");
            return (Criteria) this;
        }

        // 判断SEND_TIME是否等于某个值
        public Criteria andSendTimeEqualTo(Date value) {
            addCriterionForJDBCDate("SEND_TIME =", value, "sendTime");
            return (Criteria) this;
        }

        // 判断SEND_TIME是否不等于某个值
        public Criteria andSendTimeNotEqualTo(Date value) {
            addCriterionForJDBCDate("SEND_TIME <>", value, "sendTime");
            return (Criteria) this;
        }

        // 判断SEND_TIME是否大于某个值
        public Criteria andSendTimeGreaterThan(Date value) {
            addCriterionForJDBCDate("SEND_TIME >", value, "sendTime");
            return (Criteria) this;
        }

        // 判断SEND_TIME是否大于等于某个值
        public Criteria andSendTimeGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("SEND_TIME >=", value, "sendTime");
            return (Criteria) this;
        }

        // 判断SEND_TIME是否小于某个值
        public Criteria andSendTimeLessThan(Date value) {
            addCriterionForJDBCDate("SEND_TIME <", value, "sendTime");
            return (Criteria) this;
        }

        // 判断SEND_TIME是否小于等于某个值
        public Criteria andSendTimeLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("SEND_TIME <=", value, "sendTime");
            return (Criteria) this;
        }

        // 判断SEND_TIME是否在某个范围内
        public Criteria andSendTimeIn(List<Date> values) {
            addCriterionForJDBCDate("SEND_TIME in", values, "sendTime");
            return (Criteria) this;
        }

        // 判断SEND_TIME是否不在某个范围内
        public Criteria andSendTimeNotIn(List<Date> values) {
            addCriterionForJDBCDate("SEND_TIME not in", values, "sendTime");
            return (Criteria) this;
        }

        // 判断SEND_TIME是否在某个范围内
        public Criteria andSendTimeBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("SEND_TIME between", value1, value2, "sendTime");
            return (Criteria) this;
        }

        // 判断SEND_TIME是否不在某个范围内
        public Criteria andSendTimeNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("SEND_TIME not between", value1, value2, "sendTime");
            return (Criteria) this;
        }

        // 判断SEND_COUNT是否为空
        public Criteria andSendCountIsNull() {
            addCriterion("SEND_COUNT is null");
            return (Criteria) this;
        }

        // 判断SEND_COUNT是否不为空
        public Criteria andSendCountIsNotNull() {
            addCriterion("SEND_COUNT is not null");
            return (Criteria) this;
        }

        // 判断SEND_COUNT是否等于某个值
        public Criteria andSendCountEqualTo(Integer value) {
            addCriterion("SEND_COUNT =", value, "sendCount");
            return (Criteria) this;
        }

        // 判断SEND_COUNT是否不等于某个值
        public Criteria andSendCountNotEqualTo(Integer value) {
            addCriterion("SEND_COUNT <>", value, "sendCount");
            return (Criteria) this;
        }

        // 判断SEND_COUNT是否大于某个值
        public Criteria andSendCountGreaterThan(Integer value) {
            addCriterion("SEND_COUNT >", value, "sendCount");
            return (Criteria) this;
        }

        // 判断SEND_COUNT是否大于等于某个值
        public Criteria andSendCountGreaterThanOrEqualTo(Integer value) {
            addCriterion("SEND_COUNT >=", value, "sendCount");
            return (Criteria) this;
        }

        // 判断SEND_COUNT是否小于某个值
        public Criteria andSendCountLessThan(Integer value) {
            addCriterion("SEND_COUNT <", value, "sendCount");
            return (Criteria) this;
        }

        // 判断SEND_COUNT是否小于等于某个值
        public Criteria andSendCountLessThanOrEqualTo(Integer value) {
            addCriterion("SEND_COUNT <=", value, "sendCount");
            return (Criteria) this;
        }

        // 判断SEND_COUNT是否在某个范围内
        public Criteria andSendCountIn(List<Integer> values) {
            addCriterion("SEND_COUNT in", values, "sendCount");
            return (Criteria) this;
        }

        // 判断SEND_COUNT是否不在某个范围内
        public Criteria andSendCountNotIn(List<Integer> values) {
            addCriterion("SEND_COUNT not in", values, "sendCount");
            return (Criteria) this;
        }

        // 判断SEND_COUNT是否在某个范围内
        public Criteria andSendCountBetween(Integer value1, Integer value2) {
            addCriterion("SEND_COUNT between", value1, value2, "sendCount");
            return (Criteria) this;
        }

        // 判断SEND_COUNT是否不在某个范围内
        public Criteria andSendCountNotBetween(Integer value1, Integer value2) {
            addCriterion("SEND_COUNT not between", value1, value2, "sendCount");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {

        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}